
#include <checks.h>
#include <xvt.h>

extern int ve3100(int argc, char **argv); // stampa tabelle sconti (di riga/di documento/incondizionati)          
extern int ve3200(int argc, char **argv); // stampa testate listini/contratti/offerte
extern int ve3400(int argc, char **argv); // stampa anagrafica di magazzino



int main(int argc, char **argv) {
  int rt= -1;
  const int r= (argc>1)?(atoi(&argv[1][1])):(-1);

  switch (r) {
	case 0:
		rt= ve3100(argc, argv);
		break;
  case 1:
  	rt= ve3200(argc, argv);
  	break;
  case 3:
  	rt= ve3400(argc, argv);
  	break;
  default:
  	error_box("Sintassi: %s -[0 [R|D|I] | 1 [L|C|O] | 3]", argv[0]);
  	break;
  }
  return (rt);
}
